pro read_ceilometer_txt,fn,utime,data
    openr,lun,fn,/get_lun
    ; li='' & readf,lun,li
    ; li='' & readf,lun,li
    date=bytarr(8) & sp=0b & time=bytarr(8) 
    bases = bytarr(6,3)
    bases_avg = bytarr(6,3)
    zti = 16000L
    data = fltarr(3,zti)
    utime=lonarr(zti)
    iti=0L
    while not eof(lun) do begin
        readu,lun,date,sp,time,bases,bases_avg
        li='' & readf,lun,li
        if string(date) ne '00.00.00' and string(date) ne 'DATE    ' then begin
            for i=0,2 do begin
                ;num=string(bases_avg[*,i])
                num=string(bases[*,i])
                if num ne '      ' then data[i,iti] = float(num) else data[i,iti]=!values.F_nan
            endfor
            utime[iti] = bdate2unixtime( string(date[6:7]) +  string(date[3:4]) + string(date[0:1]) + string(time[0:1]) + string(time[3:4]) + string(time[6:7]) )
            if iti lt zti-1 then iti++ else print,'read_ceilometer_bsc: zti too small' 
        endif
    endwhile
    free_lun,lun
    if iti ne zti-1 then begin 
        data = data[*,0:iti-1L]
        utime=utime[0:iti-1L]
    endif
end
