function read_hdr, lun, hdr
; read the header which appears only once at the begining of each pds-file
common fhdr1024,_description,fill1024
common initialize,init_extract,init_header_counter
init_extract=1 ; forces recalculation of init_extract in read1pds_dwell
init_header_counter=1 ; be silent if header_indes dose not match
    name_b   = REPLICATE(32B,32)
    time_b   = REPLICATE(32B,32)
    oper_b   = REPLICATE(32B,64)
    place_b  = REPLICATE(32B,128)
    descr_b  = REPLICATE(32B,256)

    readu, lun, name_b,time_b,oper_b,place_b,descr_b
    _description    = {           $ 
            name         : string(name_b), $
            time         : string(time_b), $
            oper         : string(oper_b), $
            place        : string(place_b),$
            descr        : string(descr_b) $
    }

    ppar = read_ppar(lun)
    ; len_ppar = N_Tags(ppar, /Length)
    len_ppar = N_Tags(ppar)*4  ; changed due to GDL-bug
    fill1024  = replicate(32b,512-len_ppar)
    readu, lun, fill1024
    hdr = hdr2phys(ppar,_description,len_ppar)
    return, ppar
end

