function read_ppar_nc,ncinid
; read the PPAR chunk
    ppar    = { $
            prf          : 0l, $
            pdr          : 0l, $
            sft          : 0l, $
            avc          : 0l, $
            ihp          : 0l, $
            chg          : 0l, $
            pol          : 0l, $
            att          : 0l, $
            tx           : 0l, $
            adcgain0     : 0., $
            adcgain1     : 0., $
            wnd          : 0l, $
            pos          : 0l, $
            add          : 0l, $
            len          : 0l, $
            cal          : 0l, $
            nos          : 0l, $
            of0          : 0l, $
            of1          : 0l, $
            swt          : 0l, $
            sum          : 0l, $
            osc          : 0l, $
            tst          : 0l, $
            cor          : 0l, $
            ofs          : 0l, $
            HSBn         : 0l, $
            HSBa         : 0l, $
            calibrpower_m : 0., $
            calibrsnr_m   : 0., $
            calibrpower_s : 0., $
            calibrsnr_s   : 0., $
            raw_gate1     : 0l, $
            raw_gate2     : 0l, $
            raw           : 0l, $
            prc           : 0l $
    }
    NCDF_ATTGET, ncinid, 'ppar', pparstr,/global
    pparstrarr=strsplit(string(pparstr),string(10b),/extract)
    for i=0,n_elements(pparstrarr)-1 do begin 
        tagval=strsplit(pparstrarr[i],':',/extract) 
        tagnr=(where(tag_names(ppar) eq tagval[0]))[0]
        ppar.(tagnr)=tagval[1]
    endfor
    return,ppar
end
