pro write1pds_dwell,outlun,p_srvinfo,ppar,moments,zrg,zchan,dwd_me,do_save_spectra,spectra
common magic4chs,magic4chs,FzkPdsFmt,syspar

    maxchg=(size(moments))[2]
    if n_elements(do_save_spectra) ne 1 then do_save_spectra=0
    zspectra = do_save_spectra * n_elements(spectra)
    
    srvinfo=*p_srvinfo  ; this has to be done because srvinfo has to be modified and we dont want the modification to be passed back to the program which has called this procedure
    len_srvi=N_Tags(srvinfo,/length)
    if FzkPdsFmt then begin
        len_mainframe = 8L + len_srvi + 8L + 0L + 3L * (8L + maxchg * 4 * 2) + 8L + zspectra*4L
        writeu,outlun,magic4chs, len_mainframe
        write_srvinfo,outlun,srvinfo,ppar,len_srvi
        if do_save_spectra then begin
            si=size(spectra)
            nfft=si[1]
            zrgpz=si[2]
            zch=si[3]
            spectra_out = fltarr(nfft,zch,zrgpz)
            for ich=0,zch-1 do spectra_out[*,ich,*]=spectra[*,*,ich]
            writeu,outlun,'FFTD', zspectra*4L,spectra_out
        endif else begin
            writeu,outlun,'FFTD', 0L
        endelse
        writeu,outlun,'SNRD', maxchg * 4 * 2,          moments[*,*,0L]
        writeu,outlun,'VELD', maxchg * 4 * 2, dwd_me * moments[*,*,1L]
        writeu,outlun,'RMSD', maxchg * 4 * 2,          moments[*,*,2L]
        writeu,outlun,'EXPD',0L
    endif else begin
        write_srvinfo,outlun,srvinfo,ppar,len_srvi
        writeu,outlun,'FCOP',-1L
        writeu,outlun,'FFFT',0L
        writeu,outlun,'FINT',4L*(zrg+2L),         moments[0L,0:zrg-1L,0L],0.,0.
        writeu,outlun,'FVEL',4L*(zrg+2L),dwd_me * moments[0L,0:zrg-1L,1L],0.,0.
        writeu,outlun,'FRMS',4L*(zrg+2L),         moments[0L,0:zrg-1L,2L],0.,0.

        if zchan ge 2 then begin
            writeu,outlun,'FCRP',-1L
            writeu,outlun,'FFFT',0L
            writeu,outlun,'FINT',4L*(zrg+2L),       moments[1L,0:zrg-1L,0L],0.,0.
            writeu,outlun,'FVEL',4L*(zrg+2L),dwd_me*moments[1L,0:zrg-1L,1L],0.,0.
            writeu,outlun,'FRMS',4L*(zrg+2L),       moments[1L,0:zrg-1L,2L],0.,0.
        endif
    endelse
end

