pro write_ppars,ppar,kp,pp,out_ppar,avav_ppar,outlun,PdDspLun,PdGlobalLun,zspcLun,avavLun,do_descrhdr=do_descrhdr
common magic4chs,magic4chs,FzkPdsFmt,syspar
; this part is needed twice in spectraprocessing. For this resason it was packed to a procedure
    out_ppar = ppar
    out_ppar.raw = 0
    out_ppar.ihp = out_ppar.raw_gate1
    out_ppar.chg = out_ppar.raw_gate2-out_ppar.raw_gate1+1+2-syspar.noise3
    out_ppar.avc = ppar.avc * pp.nave
    if pp.of0 gt 0 then begin
        out_ppar.of0 = pp.of0
    endif
    if kp.outfile ne '' then begin
        if do_descrhdr then write_hdr,outlun,out_ppar,0 else write_ppar_frame,outlun,out_ppar
    endif
    if kp.outpddsp ne '' and ppar.osc eq 4 then begin
        print,'Reading concisely compressed spectra which do not contain moment data, so passing these moments by outpddsp does not work'
        kp.outpddsp=''
        free_lun,PdDspLun
    endif
    if kp.outpddsp ne '' then begin
        outpd_ppar = ppar
        outpd_ppar.raw = 0
        if do_descrhdr then write_hdr, PdDspLun, outpd_ppar, 0 else write_ppar_frame,PdDspLun,outpd_ppar
    endif 
    if kp.outpdglobal ne '' then begin
        pdg_ppar=out_ppar
        if kp.pdgwithspectra then begin 
            pdg_ppar.osc = 2
            pdg_ppar.raw = 1
        endif
        if do_descrhdr then write_hdr,PdGlobalLun,pdg_ppar,1 else write_ppar_frame, PdGlobalLun,pdg_ppar
    endif
    if kp.outzspc ne '' then begin
        zspc_ppar=out_ppar
        zspc_ppar.osc = 4
        zspc_ppar.raw = 1
        if ppar.osc eq 30 then zspc_ppar.sft = ppar.sft*ppar.sum
        if do_descrhdr then write_hdr,zspcLun,zspc_ppar,0 else write_ppar_frame,zspcLun,zspc_ppar
    endif
    if kp.outavav ne '' then begin
        avav_ppar = out_ppar
        if pp.avav_of0 gt 0 then begin
            avav_ppar.of0 = pp.avav_of0
        endif
        avav_ppar.avc = out_ppar.avc * pp.navavt * pp.navavr
        avav_ppar.chg = (out_ppar.chg-2) / pp.navavr +2-syspar.noise3
        avav_ppar.ihp = round( (out_ppar.ihp + pp.navavr/2.0)/pp.navavr )
        avavzrg=avav_ppar.chg-2
        if out_ppar.pol gt 2 then begin
            avav_ppar.pol = out_ppar.pol * pp.navavr
            avav_ppar.pdr = avav_ppar.pol
        endif else begin
            if out_ppar.pdr le 10 then begin
                avav_ppar.pdr = (out_ppar.pdr + 1) * pp.navavr - 1
            endif else begin
                avav_ppar.pdr = out_ppar.pdr * pp.navavr
            endelse
        endelse
        avav_ppar.raw_gate1 =  ceil(out_ppar.raw_gate1 / float(pp.navavr))
        avav_ppar.raw_gate2 =  avav_ppar.raw_gate1+avavzrg-1
        avav_ppar.osc = 4
        avav_ppar.raw = 1
        if do_descrhdr then write_hdr,avavLun,avav_ppar,0 else write_ppar_frame,avavLun,avav_ppar
    endif
end

