pro write_znc,ncdfid,avespc,hilde_nls,above_thres_masks,itime,flooding=flooding,blur=blur,ave_complex_cocx_spc=ave_complex_cocx_spc
; write one spectrum in NetCDF format
; 
    if n_elements(flooding) ne 1 then flooding=1
    if n_elements(blur) ne 1 then blur=0
    if n_elements(ave_complex_cocx_spc) ge 2 then do_cocx=1 else do_cocx=0
    zrg = n_elements(hilde_nls[*,0])
    zchan = n_elements(hilde_nls[0,*])
    nfft = (size(avespc))[1]
    if flooding then begin
        for irg=0,zrg-1 do begin
            signalmask1 = above_thres_masks[*,irg] 
            ; blure the signnalmask
            signalmask = signalmask1
            ; geht mit convol(,,,/edge_mirror) eventuell schneller
            for ii=1,blur do begin 
                signalmask or= shift(signalmask1,ii) 
                signalmask or= shift(signalmask1,-1*ii)
            endfor
            ; ixsig = where(avespc[*,irg,0L] lt det_thress[irg,0L] and avespc[*,irg,1L] lt det_thress[irg,1L],nixsig)
            ixsig = where(signalmask eq 0,nixsig)
            if nixsig gt 0 then begin 
                for ichan=0L,zchan-1 do begin
                    avespc[ixsig,irg,ichan]=hilde_nls[irg,ichan] 
                endfor
                if do_cocx then begin
                    ave_complex_cocx_spc[ixsig,irg] = complex(0.0,0.0)
                endif
            endif
        endfor
    endif
    ;NCDF_VARPUT, ncdfid, 'SPCco', ulong(256*avespc[*,*,0L]+.5), count=[nfft,zrg,1], offset=[0,0,itime]
    ;NCDF_VARPUT, ncdfid, 'SPCcx', ulong(256*avespc[*,*,1L]+.5), count=[nfft,zrg,1], offset=[0,0,itime]
    NCDF_VARPUT, ncdfid, 'SPCco', (avespc[*,*,0L]), count=[nfft,zrg,1], offset=[0,0,itime]
    if zchan ge 2 then NCDF_VARPUT, ncdfid, 'SPCcx', (avespc[*,*,1L]), count=[nfft,zrg,1], offset=[0,0,itime]
    if do_cocx then begin
        ;NCDF_VARPUT, ncdfid, 'SPCcocxRe', round(256*real_part(ave_complex_cocx_spc[*,*])), count=[nfft,zrg,1], offset=[0,0,itime]
        ;NCDF_VARPUT, ncdfid, 'SPCcocxIm', round(256*imaginary(ave_complex_cocx_spc[*,*])), count=[nfft,zrg,1], offset=[0,0,itime]
        NCDF_VARPUT, ncdfid, 'SPCcocxRe', (real_part(ave_complex_cocx_spc[*,*])), count=[nfft,zrg,1], offset=[0,0,itime]
        NCDF_VARPUT, ncdfid, 'SPCcocxIm', (imaginary(ave_complex_cocx_spc[*,*])), count=[nfft,zrg,1], offset=[0,0,itime]
    endif
end
