pro srvinfo2ncdf,id,iti,srvinfo,fzk100
    if srvinfo.time_t gt 10000L then begin
        ; take care to sync this structure with create_srvinfo.pro read_srvinfo_nc.pro and read_allsrvinfo_nc and srvinfo2ncdf.pro
        NCDF_VARPUT, Id, 'time', srvinfo.time_t, count=[1], offset=[iti] 
        NCDF_VARPUT, Id, 'microsec', srvinfo.microsec, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'tpow', srvinfo.tpow / fzk100 , count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'npw1', srvinfo.npw1, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'npw2', srvinfo.npw2, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'cpw1', srvinfo.cpw1, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'cpw2', srvinfo.cpw2, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'grst', srvinfo.grst, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'azi', srvinfo.azipos, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'elv', srvinfo.elvpos, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'northangle', srvinfo.northangle, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'aziv', srvinfo.azivel, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'elvv', srvinfo.elvvel, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'LO_Frequency', srvinfo.LO_Frequency, count=[1], offset=[iti]
        NCDF_VARPUT, Id, 'DetuneFine', srvinfo.DetuneFine, count=[1], offset=[iti]
    endif
end
