function dbz, dbsnr, hdr, txn_power, raw=raw, rg_offs=rg_offs
; Calculate the DBZ reflectivity 
; 
; Call snr2ze.pro for the actual calculations, which are performed in linear space. Here in this routine 
; everything is transfered to dB-space. 
;
; Matthias Bauer
;
    if n_elements(raw) ne 1 then raw=0
    if n_elements(rg_offs) ne 1 then rg_offs=0

    dBZ = db( snr2ze( linear(dbsnr), hdr, txn_power, raw=raw, rg_offs=rg_offs) )

    return, dBZ
end
