PRO moms_ssp, allspc, zrg, zchan, nave, pp, ppar, out_ppar, hilde_nls, det_thress, det_thres_fac, lind, spcord_ssp, kp, hdr, gmoments_ssp, xord, NpowFromSpc, ed_laprf, gmomvars_ssp, shape
;PRO moms_ssp, allspc, zrg, zchan, nave, pp, ppar, out_ppar, hilde_nls, det_thress, det_thres_fac, lind, spcord_ssp, kp, hdr, gmoments_ssp, xord, NpowFromSpc, ed_laprf, gmomvars_ssp, gmomdifs_ssp, shape, error
; do the moment estimation for each range gate and each channel and each single spectra
shape_ssp=fltarr(zchan,zrg,nave)
shape=fltarr(zchan,zrg)
for irg = 0, zrg-1 do begin
    ; print,'moms_ssp irg:',irg
    for ichan=0,zchan-1 do begin ; Sorting
	    for itim=0,pp.nave-1 do begin
            allspc[0,irg,ichan,itim] = allspc[lind,irg,ichan,itim] 
        endfor ; itim
    endfor ; ichan
    
    if kp.outpdglobal ne '' or kp.outncdf ne '' then begin
        for ichan=0L,zchan-1L do begin
            noise4snr = NpowFromSpc[ichan]
            for itim=0,pp.nave-1 do begin
                ix_above_thres = where(allspc[lind,irg,ichan,itim] ge det_thress[irg,ichan], nix_above)
                if nix_above gt 0 then begin
;                   Global moments estimation
		            spc_above_9noise = allspc[lind[ix_above_thres],irg,ichan,itim] - hilde_nls[irg,ichan]
                    dummy = max(spc_above_9noise,ixxmax) 
                    xx = cmod(xord[ix_above_thres],hdr.VUAR,xord[ix_above_thres[ixxmax]])
                    gmoments_ssp[ichan,irg,*,itim] = calc_moms(spc_above_9noise,xx*ed_laprf,noise4snr)
                endif else begin
                    gmoments_ssp[ichan,irg,*,itim] = !values.f_nan
                    ;gmomdifs_ssp[ichan,irg,*] = !values.f_nan
                    gmomvars_ssp[ichan,irg,*] = !values.f_nan
               endelse
               ;error_ssp[ichan,irg,itim]=stddev(allspc[lind[*],irg,ichan,itim])/sqrt(n_elements(allspc[lind[*],irg,ichan,itim]))/total(allspc[lind[*],irg,ichan,itim])
               ; shape_ssp[ichan,irg,itim]=stddev(allspc[lind[*],irg,ichan,itim])/total(allspc[lind[*],irg,ichan,itim]) ; pi
               shape_ssp[ichan,irg,itim]= total( abs( allspc[lind[1:hdr.nfft-1],irg,ichan,itim]-allspc[lind[0:hdr.nfft-2],irg,ichan,itim]) ) / total(allspc[lind[*],irg,ichan,itim]) ; hias
	        endfor ; itim
            shape[ichan,irg]=mean(shape_ssp[ichan,irg,*])
            
            ; Differences calculation
            ;gmomdifs_ssp[ichan,irg,m]=quantmed((gmoments_ssp[ichan,irg,m,*]),0.5)-quantmed((gmoments_ssp[ichan,irg,m,*]),0.1)
            
            ; Variances calculation
            gmomvars_ssp[ichan,irg,0] = variance(gmoments_ssp[ichan,irg,0,*], /nan)/mean(gmoments_ssp[ichan,irg,0,*], /nan)
            gmomvars_ssp[ichan,irg,1] = variance(gmoments_ssp[ichan,irg,1,*], /nan)/mean(gmoments_ssp[ichan,irg,2,*], /nan)
            ;gmomvars_ssp[ichan,irg,1] = variance(abs(gmoments_ssp[ichan,irg,1,*]), /nan)/mean(abs(gmoments_ssp[ichan,irg,2,*]), /nan)
            gmomvars_ssp[ichan,irg,2] = variance(gmoments_ssp[ichan,irg,2,*], /nan)/mean(gmoments_ssp[ichan,irg,2,*], /nan)
        endfor ; ichan
    endif
endfor ; irg
END
