function readlogp,fn,t,t0,j
    ; read space/tab separated asci table with unixtime in the first column
    ; save everything in the output array which is of double type
    spawn,'wc '+fn,out
    wc=lonarr(3) & reads,out[0],wc
    n=wc[0]
    nc=wc[1]/n
    a=dblarr(8,n)
    tu=lonarr(n)
    mus=lonarr(n)
    openr,hand,fn,/get_lun
    for i=0L,n-1 do begin
        li=''
        readf,hand,li
        idp=strpos(li,':')
        ika=strpos(li,'[')
        ikz=strpos(li,']')
        tu[i]=long(strmid(li,0,idp))
        mus[i]=long(strmid(li,idp+1,ika))
        aa=strmid(li,ikz+1,1000)       
        a[0,i]=double(strsplit(aa,'	',/extract))
    endfor
    free_lun,hand
    j=unixtime2jul(tu,org=1)
    geisterstunde=ulong(tu[0]/(36d2*24d0))*24uL  
    t = (double(tu)+mus*1D-6)/36d2 - geisterstunde  ; time in hours since 00:00 of the first day in the data of the files
    t0=geisterstunde*3600uL
    t0asci=string(t0)
    print,'t=0 at:'
    spawn,'echo '+t0asci+'|unixtime2readable'
    return,a
end

