function scale_image,image,zrange,startcol,zcol,badcol,nullcol,nulltol,saturate
    ;image skalieren, dabei die "schlechten" Werte rausschmeissen -> in scl_image speichern.
    if n_elements(nullcol) ne 1 then nullcol=-1
    if n_elements(nulltol) ne 1 then nulltol=0.1
    dzra = zrange[1] - zrange[0]
    sgnra = signum(dzra)
    i0 = sgnra ne 1 ; the index of the smaller zrange
    i1 = sgnra eq 1 ; the index of the larger zrange
    if sgnra eq 1 then begin & smalestcolo=startcol+0 & bigestcolo=startcol+zcol-1 & endif else begin & bigestcolo=startcol+0 & smalestcolo=startcol+zcol-1 & endelse
    ixnan = where( ~ finite(image),nixnan )
    nonnan = ( finite(image) ) and image gt zrange[i0]-5.0*dzra*sgnra and image lt zrange[i1]+5.0*dzra*sgnra
    if nixnan gt 0 then image[ixnan] = zrange[i0] - 100.0
    definiert = image ge zrange[i0] and image le zrange[i1]
    scl_image = (( image - zrange[0] ) * (zcol-1) / ( zrange[1]-zrange[0] ) + startcol) * definiert + badcol * (definiert ne 1)
    ;============================PATRICS MODIFIKATION=======================
    if (saturate and 1) ne 0 then begin
        ;idx=where(image lt zrange[0] and image gt zrange[0]-9999., count)
        idx=where(image lt zrange[i0] and nonnan, count)
        if count gt 0 then scl_image[idx]=smalestcolo
    endif
    if (saturate and 2) ne 0 then begin
        ;idx=where(image gt zrange[1] , count)
        idx=where(image gt zrange[i1] and nonnan, count)
        if count gt 0 then scl_image[idx]=bigestcolo
    endif
    ;===========================ENDE PATRICS MODIFIKATION===================
    ;Falls nullcol gesetzt ist, werden Werte, die genau 0 sind mit nullcol markiert
    if nullcol ge 0 then begin
        ixnull=where(abs (image) lt nulltol,nixnull)
        if nixnull then scl_image[ixnull] = nullcol
    endif
    return,scl_image
end
