function unixtime2jul,unixtime,fraction,org=org
; if org=1 the original julian days are caculated, If org=0 a shifted version is calculated which is relative to midnight of the first Day included in unixtime. 
; Like this a higher accuracy is achieved. This time offset is stored in the common block
    common unixtime2jul,firstday_ux
    if n_elements(org) eq 0 then org=0
    if n_elements(fraction) eq 0 then fraction=0d0
    if n_elements(firstday_ux) ne 1 then begin
        mini = min(unixtime)
        firstday_ux = mini - (mini mod (24L*3600L))
    endif
    cf = 1d0 / double(24L*3600L)
    if org then begin
        jul = julday(01,01,1970) + unixtime * cf
    endif else begin
        jul = julday(01,01,-4713) + (unixtime-firstday_ux+fraction) * cf + 0.5d0
    endelse
    return,jul
end


