#!/bin/sh
#
# script that executes crcmd switch_pds if the pds file is large
# It may be run hourly by inserting the following line to ~/etc/crontab
#
#
HMETEK=/home/data/metek/m36s
PATH=$HMETEK/bin:$PATH
export PATH
cd $HOME
NEWEST_PDS=`ls -r /data/*.pds | head -1`
AGE=`$HMETEK/bin/what_age_has $NEWEST_PDS`
SIZE=`wc -c $NEWEST_PDS | cut -f 1 -d ' '`
if test $AGE -lt 1800 -a $SIZE -gt 1200000000  ; then
    crcmd view_control=2 $HMETEK/srv_scripts/switch_pds_simple.cc
fi

