pro loadcolor,st,path=path,colorfile=colorfile,zcolor=zcolor
    if n_elements(colorfile) ne 1 then colorfile='cohias'
    if n_elements(path) ne 1 then path='$DISTR/idl/colors/'
    if strmid(colorfile,0,1) eq '/' then fn = colorfile else fn = path+colorfile
    filarr = findfile(fn)
    if filarr(0) ne '' and n_elements(filarr) eq 1 then begin
        get_lun,hand
        openr,hand,fn
        co = intarr(3,256)
        r=0 & b=0 & g=0
        zcolor=0
        while not eof(hand) do begin
            readf,hand,r,g,b
            co(*,zcolor)=[r,g,b]
            zcolor = zcolor + 1
        endwhile
        free_lun,hand
        if n_params() ne 1 or zcolor gt 200 then begin
            if zcolor le 32 then st=32 else st=0
        endif
        tvlct,co(0,0:zcolor-1),co(1,0:zcolor-1),co(2,0:zcolor-1),st
    endif else begin
        zcolor = 0 
        print,'color file not found: ', fn
    endelse
end

