function unixtime2jul,unixtime,fraction,org=org
    common unixtime2jul,firstday_ux
    if n_elements(org) eq 0 then org=0
    if n_elements(fraction) eq 0 then fraction=0d0
    if n_elements(firstday_ux) ne 1 then begin
        mini = min(unixtime)
        firstday_ux = mini - (mini mod (24L*3600L))
    endif
    cf = 1d0 / double(24L*3600L)
    if org then begin
        jul = julday(01,01,1970) + unixtime * cf
    endif else begin
        jul = julday(01,01,-4713) + (unixtime-firstday_ux+fraction) * cf +5d-1
    endelse
    return,jul
end


