function create_srvinfo
    ; take care to sync this structure with create_srvinfo.pro read_srvinfo_nc.pro and read_allsrvinfo_nc and srvinfo2ncdf.pro
    return, { frame_cnt:0ul,$
                 time_t : 0ul, $
                 tpow   : 0.,  $
                 npw1   : 0.,  $
                 npw2   : 0.,  $
                 cpw1   : 0.,  $
                 cpw2   : 0.,  $
                 ps_err : 0ul, $
                 rc_err : 0ul, $
                 tr_err : 0ul, $
                 radar_status: 0ul, $ ; formerly grs1, now value returned by "set set/cmn/csl/0gs 1"
                 grst   : 0ul, $
                 azipos : 0.,  $
                 azivel : 0.,  $
                 elvpos : 0.,  $
                 elvvel : 0.,  $
                 northangle : 0., $
                 microsec : 0L,  $       ; formerly azisetpos
                 PD_DataQuality : 0L,  $ ; formerly azisetvel
                 LO_Frequency : 0.,  $   ; formerly elvsetpos
                 DetuneFine : 0.  $      ; formerly elvsetvel
    }
end
