function read_allsrvinfo_nc,ncinid
    ; take care to sync this structure with create_srvinfo.pro read_srvinfo_nc.pro and read_allsrvinfo_nc and srvinfo2ncdf.pro
    NCDF_VARGET, ncinid, 'time', time_t
    NCDF_VARGET, ncinid, 'microsec', microsec
    NCDF_VARGET, ncinid, 'tpow', tpow
    NCDF_VARGET, ncinid, 'npw1', npw1
    NCDF_VARGET, ncinid, 'npw2', npw2
    NCDF_VARGET, ncinid, 'cpw1', cpw1
    NCDF_VARGET, ncinid, 'cpw2', cpw2
    NCDF_VARGET, ncinid, 'azi', azipos
    NCDF_VARGET, ncinid, 'elv', elvpos
    NCDF_VARGET, ncinid, 'aziv', azivel
    NCDF_VARGET, ncinid, 'elvv', elvvel
    NCDF_VARGET, ncinid, 'northangle', northangle
    allsrvinfo={$
        time_t:time_t,$
        microsec:microsec,$
        tpow:tpow,$
        npw1:npw1,$
        npw2:npw2,$
        cpw1:cpw1,$
        cpw2:cpw2,$
        azipos:azipos,$
        elvpos:elvpos,$
        azivel:azivel,$
        elvvel:elvvel,$
        northangle:northangle,$
        ztime:n_elements(time_t) $
    }
    return,allsrvinfo
end
