function nulltruncate,instr
    binstr=byte(instr)
    ix=where(binstr eq 0b,nix)
    if nix ne 0 then begin
        if ix[0] gt 0 then  return,string(binstr[0:ix[0]-1]) else return,''
    endif else return,instr
end

pro write_hdr, lun, ppar, nmulti
; write an 1024 pds file header to file
common fhdr1024,_description,fill1024
    _description.oper = strmid(_description.oper,0,57)+'MULTI'+string(nmulti,format='(i2.2)')
    o = replicate(0B,32) & o[0] = byte(nulltruncate(_description.name)+'.off') & writeu,lun,o
    o = replicate(0B,32) & o[0] = byte(nulltruncate(_description.time)) & writeu,lun,o
    o = replicate(0B,64) & o[0] = byte(nulltruncate(_description.oper)) & writeu,lun,o
    o = replicate(0B,128) & o[0] = byte(nulltruncate(_description.place)) & writeu,lun,o
    o = replicate(0B,256) & o[0] = byte(nulltruncate(_description.descr)) & writeu,lun,o
    writeu,lun,ppar
    len_ppar = N_Tags(ppar)*4  ; changed due to GDL-bug
    fill1024  = replicate(0b,512-len_ppar)
    writeu,lun,fill1024
end


