pro write_srvinfo,outlun,srvinfo,ppar,len_srvi,is_xcrl=is_xcrl
; wite one srvinf structure to pds,pdm, zspc, or dmp file
; the srvinfo structure contains log parameters from the radarserver which can change from data chunck to data chunck
; It always writes the {n,c}pw{1,2} acoroding to the policy of the corresponding radar.
; Newer radars save {n,c}pw{1,2} as level instead of power, i.e. divided by nfft. Spectraprocessing replaces the levels by powers
; in case of all radars. Terefore all the programs using output produced by spectraprocessing have power values in {n,c}pw{1,2}
common magic4chs,magic4chs,FzkPdsFmt,syspar
    if n_elements(is_xcrl) ne 1 then is_xcrl=total(ppar.osc eq [12,16,22,26]) eq 1
    if is_xcrl then normalization=syspar.xcrl_noical_normalization else normalization=float(syspar.pds_noical_normalization) * float(syspar.pds_spectra_normalization)
    ;srvinfo.npw1 = syspar.pds_pnoipcal_log ? db(srvinfo.npw1/normalization) : srvinfo.npw1/normalization
    ;srvinfo.cpw1 = syspar.pds_pnoipcal_log ? db(srvinfo.cpw1/normalization) : srvinfo.cpw1/normalization
    ;srvinfo.npw2 = syspar.pds_pnoipcal_log ? db(srvinfo.npw2/normalization) : srvinfo.npw2/normalization
    ;srvinfo.cpw2 = syspar.pds_pnoipcal_log ? db(srvinfo.cpw2/normalization) : srvinfo.cpw2/normalization
    srvinfo.npw1 = srvinfo.npw1/normalization
    srvinfo.cpw1 = srvinfo.cpw1/normalization
    srvinfo.npw2 = srvinfo.npw2/normalization
    srvinfo.cpw2 = srvinfo.cpw2/normalization
    if FzkPdsFmt then srvi_sgnt='SRVI' else srvi_sgnt=magic4chs
    writeu,outlun,srvi_sgnt, len_srvi, srvinfo
end


