pro write_zspc,zspcLun,p_srvinfo,ppar,avespc,hilde_nls,above_thres_masks,RadarConst5,SnrCorfa,RemovedSpcs,blur=blur,r_cocx=r_cocx,ph_cocx=ph_cocx,ave_complex_cocx_spc=ave_complex_cocx_spc
; write one concise spectrum
; 
common magic4chs,magic4chs,FzkPdsFmt,syspar

if n_elements(blur) ne 1 then blur=0
if n_elements(r_cocx) ge 2 or n_elements(ave_complex_cocx_spc) ge 2 then begin
    do_cocx=1 
    if n_elements(ave_complex_cocx_spc) ge 2 then ccoxfmt=1 else ccoxfmt=0
endif else do_cocx=0

    
zrg = n_elements(hilde_nls[*,0])
zchan = n_elements(hilde_nls[0,*])
nfft = (size(avespc))[1]
if n_elements(RemovedSpcs) ne 0 then begin
    npatchclutter = (size(RemovedSpcs))[1]
    rgclutter = (size(RemovedSpcs))[3]
    ExRemovedSpcs=1
endif else ExRemovedSpcs=0
lenint=2L & lenflt=4L
    ; Count how much space is required by ZSPC and save the bounds of the spectra pieces that will be saved
    nixabs = intarr(zrg)
    ixas = intarr(nfft/2,zrg)
    ixbs = intarr(nfft/2,zrg)
    len_zspc = 0L
    for irg=0,zrg-1 do begin
        signalmask_org = above_thres_masks[*,irg]
        ; blure the signnalmask
        signalmask = signalmask_org
        ; geht mit convol(,,,/edge_mirror) eventuell schneller
        for ii=1,blur do begin 
            signalmask or= shift(signalmask_org,ii) 
            signalmask or= shift(signalmask_org,-1*ii)
        endfor
        nixabs[irg] = get_ixaixb(signalmask ,ixa_,ixb_,nixtrue_)
        ixas[0,irg] = ixa_
        ixbs[0,irg] = ixb_
        len_zspc += lenint + lenint*nixtrue_*(zchan+2*do_cocx)+lenint + nixabs[irg]*(2*lenint+lenflt*(zchan+2*do_cocx))
        ;    (one int saying how many pieces) + (nixtrue_=number of significant values) packed integers * ( zchan + 2*do_cocx ) + (nixabs[irg]=number of packets)*(one int for len + one int for startingpoint + (oneflt for max) * (zhan+2*do_cocx) )
    endfor

    len_hsd = zrg*zchan*lenflt
    len_cofa = zrg*zchan*lenflt
    len_labchain=8L
    if ExRemovedSpcs then begin   ; It depends on keywd parameters and version of spectraprocessing whether RemovedSpcs are saved or not 
        len_clutter = 3*lenint + npatchclutter*zchan*rgclutter*lenflt
        len_ClutterLabchain = len_labchain+len_clutter
    endif else begin
        len_clutter=0L
        len_ClutterLabchain=0L
    endelse

    srvinfo=*p_srvinfo  ; this has to be done because srvinfo has to be modified and we dont want the modification to be passed back to the program which has called this procedure
    srvinfo.DetuneFine=RadarConst5
    len_srvi=N_Tags(srvinfo,/length)
    if FzkPdsFmt then begin
        len_mainframe = len_labchain+len_srvi + len_labchain+len_hsd + len_labchain+len_cofa+ len_ClutterLabchain +len_labchain+len_zspc
        writeu,zspcLun,magic4chs, len_mainframe 
    endif
    write_srvinfo,zspcLun,srvinfo,ppar,len_srvi,is_xcrl=0   ; das is_xcrl=0 ist nötig weil hier meisten faelschlicherweise ppar und nicht zspc_ppar übergeben wurde.

    writeu,zspcLun,'HSDV', len_hsd, hilde_nls
    writeu,zspcLun,'COFA', len_hsd, SnrCorfa
    ; writeu,zspcLun,'CLTR', len_clutter  ; !! stupid inconsitency !! in mbr3 and mbr3 this was saved to the zspc files with len_clutter=0
    if ExRemovedSpcs then begin
        writeu,zspcLun,'CLTR', len_clutter
        writeu,zspcLun,npatchclutter,zchan,rgclutter,RemovedSpcs 
    endif

    if do_cocx then begin
        if ccoxfmt then writeu,zspcLun,'ZSPY',len_zspc else writeu,zspcLun,'ZSPX',len_zspc
    endif else writeu,zspcLun,'ZSPC',len_zspc
    for irg=0,zrg-1 do begin
        writeu,zspcLun,nixabs[irg]
        for iab=0,nixabs[irg]-1 do begin
            ixa=ixas[iab,irg] & ixb=ixbs[iab,irg]
            writeu,zspcLun,ixa,ixb-ixa+1
            for ichan=0,zchan-1 do writeu,zspcLun,packflt2int(avespc[ixa:ixb,irg,ichan],smax),smax
            if do_cocx then begin
                if ccoxfmt then begin
                    writeu,zspcLun,packpmflt2int(real_part(ave_complex_cocx_spc[ixa:ixb,irg]),max_),max_
                    writeu,zspcLun,packpmflt2int(imaginary(ave_complex_cocx_spc[ixa:ixb,irg]),max_),max_
                endif else begin
                    writeu,zspcLun,packflt2int(r_cocx[ixa:ixb,irg],max_),max_
                    writeu,zspcLun,packpmflt2int(ph_cocx[ixa:ixb,irg],max_),max_
                endelse
            endif
        endfor
    endfor
end

