function avgangles,alp,weight=w,q
; make an average over angles. angles must be specified in rad (0 .. 2*!pi)
    ix=where(finite(alp),nix)
    if nix gt 0 then begin
        avgx=avg(sin([ix]),weight=w)
        avgy=avg(cos([ix]),weight=w)
        avgalp = atan(avgx,avgy)
        q=sqrt(avgx^2+avgy^2)
        if q lt 0.5 then avgalp=!values.f_nan 
    endif else avgalp=!values.f_nan
    return,avgalp
end
