pro cramer2d,c1,c2,a1,a2,b1,b2,x1,x2
; Solve a 2d linear equation having the form:
;
;    ( c1 )   ( a1  b1 ) ( x1 )
;    |    | = |        | |    |
;    ( c2 )   ( a2  b2 ) ( x2 )
;
; for x1 and x2
;
; with given values c1,c2, a1,a2, b1,b2
;
; Cramer
;
    d=a1*b2-a2*b1
    x1=(c1*b2-c2*b1)/d
    x2=(c2*a1-c1*a2)/d
end
