function load_history, caller, prototype, uti, hi, utime_shift=mini
    ; see description at update_history
    common history, history, utime, fn
    fn = getenv('HOME')+'/.'+caller+'_history'
    if (file_search(fn))[0] ne '' then begin
        restore, filename=fn
        if n_elements(history[0]) ne n_elements(prototype) then begin
            print,'It seems the format of the history items has changed. The history will be reset'
        endif
    end
    if n_elements(history) eq 0 || n_tags(history[0],/length) ne n_tags(prototype,/length) then begin
        history = replicate( prototype,1)
        utime = replicate( 0UL, 1)
    endif
    
    mini = min(abs(long(reverse(utime)) - long(uti)), ix)
    return, history[n_elements(utime)-ix-1]
end
