pro update_history,uti_of_inst,hist_inst
    ; Each time mmclx ends it appends the structure hist_inst with informations which are needed fot the next instance of mmclx, 
    ; to the array of structures history. It also saves the epoche time of the saved infomation, 
    ; so that a later call of load_history can select the instance on the saved structiures which best fits to the time for 
    ; which it need the information. nmax instances are saved so that in case slightly older dmp file is reprocessed then there is still 
    ; a matching instance in the history available
    common history, history, utime, fn
    nhistory = n_elements(history)
    nmax = 400
    history = [ history[ 0 > (nhistory+1-nmax) : nhistory-1 ], hist_inst ]
    utime   = [   utime[ 0 > (nhistory+1-nmax) : nhistory-1 ], uti_of_inst ]
    save, history, utime, filename=fn
end
