#!/usr/bin/python3
from sys import argv
from pysolar.solar import get_azimuth, get_altitude
from time import gmtime
from datetime import datetime, timezone
latitude = 63.7474832
longitude = -68.541434
for i in range(0, int((len(argv)-1)/2) ):
    utime =    int(argv[1+i*2])
    microsec = int(argv[1+i*2+1])
    dati          = datetime.fromtimestamp(utime, timezone.utc)
    dati_next_sec = datetime.fromtimestamp(utime+1, timezone.utc)
    elv0 = get_altitude(latitude, longitude, dati)
    elv1 = get_altitude(latitude, longitude, dati_next_sec)
    delv = (elv1 - elv0 + 180) % 360 - 180 
    azi0 = get_azimuth(latitude, longitude, dati)
    azi1 = get_azimuth(latitude, longitude, dati_next_sec)
    dazi = (azi1 - azi0 + 180) % 360 - 180
    print(elv0+delv*microsec*1e-6,azi0+dazi*microsec*1e-6)
