function gsmooth,f,n=kn,alpha=kalpha
common gsmooth,n,alpha,g,tg
default_value,kn,7L
default_value,kalpha,3.0
if n_elements(n) ne 1 then begin
    n=-1L & alpha=-1.0
endif
if n ne kn or alpha ne kalpha then begin
   n = kn & alpha = kalpha
   ix = lindgen(n)
   x = float(ix-long(n/2L))
   g = exp(-0.5*(alpha/float(n))^2*x^2)
   tg=1./total(g)
endif
sf = convol(f,g,/edge_wrap,/center)*tg
return,sf
end

