function whoami,iam
    ; this routine should be called at the begining of each program
    common iam,whoami
    common magic4chs,magic4chs,FzkPdsFmt,syspar

    whoami={iam:'nobody'}
    config2stru,whoami,'whoami',['whoami.config']
    if n_elements(iam) eq 1 && iam ne 'nobody' then whoami.iam=iam
    
    syspar={ $ ;  contains system parameters which can not be found in the pds data as e.g. the system frequency 
             $ ;  or the magic 4 characters which are in the pds data but for extracting the data they should be known in advance.
        magic4chs:'XXXX',$
        iam:whoami.iam,$     ; z.B. radarconst braucht syspar.iam aus dem magic4chs common block um mit config2stru,radarconst,[<iam>.config] die Radarconstante einstellen zu koennen.
        FzkPdsFmt:1b , $     ; 1, if the radarserver saves the pds data in the format which allows repeated headers DWD0 and NASA
        fzk100:1.0, $        ; 100. if the power givn in the serverinfo structs is given in centi Watts. 
        fzkscanner:0, $      ; If set 90 deg will be added to elvpos ELVPOS
        mombufsize:512L , $  ; 512 in case of all systems with max 500 range gates, 1024 for the systems since 1khg.
        txfrequency:35.5e9 , $; center frequrncy
        RecPulseWidths:[96,192,288,400,512,576,706,832,912,1040] , $; syspar.RecPulseWidths[ppar.pdr]=Pulse Width is ns 
            $; pulse_width = ([100,200,300,400,500,600,700,800,900,1000])[ppar.pdr] ; devices before and including MPI
            $; pulse_width = ([96,192,288,400,512,576,706,832,912,1040])[ppar.pdr] ; between halo and DLR
            $; pulse_width = ([112,208,306,400,512,624,706,832,912,1040])[ppar.pdr] ; 1khg devices
        dwd_me:1,$ ; set to -1 for radars where the falling targets have positive Doppler shifts.
        dwd_me_spc:1,$ ; set to -1 for radars where the falling targets have positive Doppler shifts.
        pds_spectra_centered:0, $ ; set to 1 for radars (mublaze) where the spectra in the pds files are shifted by nfft/2 so that vel=0 appears at nfft/2 
        pds_spectra_normalization:1L,$ ; 713031680. for mublaze radars and 1. for the others
        pds_pnoipcal_log:0,$ ; 1 for mublaze radars and and 0 for others
        noise3:0,$           ; 1 for mublaze radar where the nois and cal gate appear at one rg lower
        dumy:'' $
    }
    config2stru,syspar,'syspar',[whoami.iam+'.config']
    FzkPdsFmt=syspar.FzkPdsFmt  ; for compatibility with older programs
    syspar.magic4chs=strmid(syspar.magic4chs,0,4)
    magic4chs=syspar.magic4chs  ; "
return,whoami.iam
end
;
; Die Strukturaenderung von whoami hat den folgenden Vorteil:
; Nach einer Aenderung des systems (zb Frequenzaenderung wuerde man zb den Namen DLR1 verwenden und 
; eine neue DLR1.config anlegen. Das meiste darin kopiert man. aber es erlaubt einem zb die noisecom-Dateienm zu 
; aendern, zum verarbeiten der alten Daten ruft man dann die Programmen zb 'idl mmclx iam=DLR infile=...' auf
; common magic4chs,magic4chs,FzkPdsFmt,syspar  ueberall so aendern!!

; Case Statement aus der alten Whoami des DLR-Radars
;case iam of
;    'DWD': begin
;        FzkPdsFmt=0b
;        magic4chs='FHDR'
;    end
;    'NASA':begin
;        FzkPdsFmt=0b
;        magic4chs='FHDR'
;    end
;    'FZK':begin
;         magic4chs='FZKF'
;    end
;    'MPI':begin ; MPI2 is meant as completely other software is used for MPI1
;        magic4chs='FZKF'
;    end
;    'HALO':begin
;         magic4chs='HALO'
;    end
;    'NUIG':begin
;        magic4chs='NUIG'
;    end
;    'CNRP':begin
;        magic4chs='CNRP'
;    end
;    'JUEL':begin
;        magic4chs='0709'
;    end
;    'IFT':begin
;        magic4chs='NMRA'
;        mombufsize=1024L
;    end
;    'FMI':begin
;        magic4chs='1KHG'
;        mombufsize=1024L
;    end
;    'DLR':begin
;        magic4chs='METL'
;    end
;    'LMU':begin
;        magic4chs='LMUM'
;        mombufsize=1024L
;    end
;    else:begin
;       print,'I dont know who Iam: '+kp.iam 
;       exit
;    end
;endcase
