#!usr/local/bin/perl

package      TimeTools;

use Time::localtime;
#use Time::JulianDay;
use Time::Local;


sub unixtime2time

{

 my @args =@_;

 $time_t    = $args[0];

 $timet     = localtime($time_t);
 $yyyy      = $timet->year()+1900;   # year, 4 digits
 $mm        = $timet->mon()+1;       # month
 $dd        = $timet->mday();        # day of month
 #$yy       = $timet->year - 100;    # year, 2 digits
 #$jjj      = $timet->yday()+1;      # julianday of year (1...365/366)
 $hr        = $timet->hour();
 $min       = $timet->min();
 $sec       = $timet->sec();

 # we return an array
 $time[0]   = $yyyy;
 $time[1]   = $mm;
 $time[2]   = $dd;
 $time[3]   = $hr;
 $time[4]   = $min;
 $time[5]   = $sec;

 return @time;


 }

 sub time2unixtime

 {

 my @args = @_;

 $year  = $args[0];
 $mon   = $args[1];
 $mday  = $args[2];
 $hours = $args[3];
 $min   = $args[4];
 $sec   = $args[5];

 #!!!!!!!!!!!!!!!!!!!bug alert !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 #timelocal function uses a range of 0.....11 for month !!!!
 #!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

 $time = timelocal($sec,$min,$hours,$mday,$mon-1,$year);

 return $time;

 }

 sub julianday

 {

 my @args = @_;

 $time_t = $args[0];

 # and finally the "julianday of the year"

 $jdy       = localtime($time_t);
 $julian    = $jdy->yday()+1;

 return $julian;

 }

 sub n2_to_s2

 # this crazy name means 2 digit number to 2 character string (aka as add a leading "0")

 {

 my @args = @_;
 $number = $args[0];

 if ($number < 10)
    {
   $string = "0"."$number";
   return $string;
   }
 else
    {
   return "$number";
   }


 }
 
 
 
 sub n3_to_s3

 # this crazy name means 3 digit number to 3 character string (aka as add a leading "00")

 {

 my @args = @_;
 $number = $args[0];

 if ($number < 10)
    {
    $string = "00"."$number";
    return $string;
    }
 elsif ($number < 100)
    {
    $string = "0"."$number";
    return $string;
    }
 else
    {
   return "$number";
   }


 }
 
 


 sub test_recursive

 {
 my @args = @_;
 $tt = $args[0];
 print "testing....\n";
 print unixtime2time($tt);

 return;


 }

 sub time2synoptime
  {
  # Berechnung der synoptischen Zeit, welche sich einerseits auf das Ende des
  # Mittelungsintervalls avg bezieht, zum anderen in Abhngigkeit von der (mglichen)
  # Aufeinanderfolge der Messungen "runde" Zeiten ergibt
  # z.B. wird bei einer 25 min Windmessung vom Profiler auf volle halbe Stunden gerundet
  # avg : 31 .. 60 min : syn.Zeit = hh:00
  # avg : 16 .. 30 min : syn.Zeit = hh:00, hh:30
  # avg : 11 .. 15 min : syn.Zeit = hh:00, hh:15, hh:30, hh:45
  my @args        = @_;
  $timestamp      = $args[0];
  $avg            = $args[1]; #Mittelungsintervall in sec

  if ($avg <= 5) {$timestamp_synop = (sprintf("%.f", $timestamp/300.) +1) * 300.};
  if (($avg > 5) and ($avg <= 10)) {$timestamp_synop = (sprintf("%.f", $timestamp/600.) +1) * 600.};
  if (($avg > 10) and ($avg <= 15)) {$timestamp_synop = (sprintf("%.f", $timestamp/900.) + 1) * 900.};
  if (($avg > 15) and ($avg <= 20)) {$timestamp_synop = (sprintf("%.f", $timestamp/1200.) +1) * 1200.};
  if (($avg > 20) and ($avg <= 30)) {$timestamp_synop = (sprintf("%.f", $timestamp/1800.) +1) * 1800.};
  if (($avg > 30) and ($avg <= 60)) {$timestamp_synop = (sprintf("%.f", $timestamp/3200.) +1) * 3200.};
  return  $timestamp_synop;
  }

return 1;
